diff scripts/mk-pkg-add @ 9794:0d4613a736e9

convert build system to use automake and libtool
author John W. Eaton <jwe@octave.org>
date Tue, 10 Nov 2009 15:02:25 -0500
parents scripts/mkpkgadd@4270ded9ddc6
children fd0a3ac60b0e
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/mk-pkg-add	Tue Nov 10 15:02:25 2009 -0500
@@ -0,0 +1,37 @@
+#! /bin/sh
+#
+# Copyright (C) 2002, 2003, 2007, 2009 John W. Eaton
+#
+# This file is part of Octave.
+# 
+# Octave is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+# 
+# Octave is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with Octave; see the file COPYING.  If not, see
+# <http://www.gnu.org/licenses/>.
+
+## Expecting arguments in this order:
+##
+##  SRCDIR SRCDIR-FILES ... -- LOCAL-FILES ...
+
+set -e
+
+prefix="$1/"
+shift
+
+for arg
+do
+  if [ "$arg" = "--" ]; then
+    prefix=""
+  else
+    sed -n 's/^[#%][#%]* *PKG_ADD: *//p' "$prefix$arg"
+  fi
+done